edu.sc.seis.sod.status

## Class ChannelFormatter

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.ChannelFormatter

- All Implemented Interfaces:
    ChannelTemplate

      public class ChannelFormatter
      extends Template
      implements ChannelTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelFormatter()`
    `ChannelFormatter(org.w3c.dom.Element el)`
    `ChannelFormatter(org.w3c.dom.Element el, boolean filize)`
    `ChannelFormatter(org.w3c.dom.Element el, ChannelGroupTemplate cgt)`
    `ChannelFormatter(org.w3c.dom.Element el, ChannelGroupTemplate cgt, boolean filize)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResult(edu.iris.Fissures.IfNetwork.Channel chan)`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.
    `static ChannelFormatter` | `makeSiteAndCode()`
    `protected java.lang.Object` | `textTemplate(java.lang.String text)` returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelFormatter

          public ChannelFormatter()

    - #### ChannelFormatter

          public ChannelFormatter(org.w3c.dom.Element el)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### ChannelFormatter

          public ChannelFormatter(org.w3c.dom.Element el,
                                  boolean filize)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### ChannelFormatter

          public ChannelFormatter(org.w3c.dom.Element el,
                                  ChannelGroupTemplate cgt)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### ChannelFormatter

          public ChannelFormatter(org.w3c.dom.Element el,
                                  ChannelGroupTemplate cgt,
                                  boolean filize)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### makeSiteAndCode

          public static ChannelFormatter makeSiteAndCode()

    - #### textTemplate

          protected java.lang.Object textTemplate(java.lang.String text)

      Description copied from class: `Template`
      returns an object of the template type that this class uses, and returns the passed in text when the getResult method of that template type is called
      Specified by:
        `textTemplate` in class `Template`

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)

      Description copied from class: `Template`
      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it should return the superclass implementation of the getCommonTemplate method. Though no harm will come from merely returning null, they won't benefit from the wisdom and extra tags provided by their elder classes.
      Overrides:
        `getTemplate` in class `Template`

    - #### getResult

          public java.lang.String getResult(edu.iris.Fissures.IfNetwork.Channel chan)

      Specified by:
        `getResult` in interface `ChannelTemplate`